List automations
List the automations belonging to the calling team, newest first.
GET
https://app.usenotix.dev/api/v1/automationsFull access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
List the automations belonging to the calling team, newest first.
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/automations" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.automations.list();
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
journeys, _ = notix.journeys.list()
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$journeys = $notix->journeys->list();
Response200
[
{
"id": "cly1jrn8x0000abcd1234",
"name": "Welcome series",
"status": "ACTIVE",
"triggerType": "CONTACT_ADDED",
"contactBookId": "cly1book0000abcd1234",
"segmentId": "cly1seg00000abcd1234",
"exitWhenLeavesSegment": false,
"triggerEvent": "payment.failed",
"steps": [
{
"id": null,
"type": null,
"from": null,
"subject": null
}
],
"connections": [
{
"from": null,
"to": null
}
],
"copiedFromId": "cm1x8f3k20001qz7v5b9d2e4a",
"stats": {
"enrolled": 1,
"active": 1,
"completed": 1,
"exited": 1,
"failed": 1,
"sentByStep": {
"stp_abc123": 12
}
},
"createdAt": "2026-10-01T09:00:00Z",
"updatedAt": "2026-10-01T09:00:00Z"
}
]